de.caff.generics.mda

## Class TwoDimensionalReadAccess.Base<TT>

- java.lang.Object
- - de.caff.generics.mda.TwoDimensionalReadAccess.Base<TT>

- Type Parameters:
    `TT` - element type
  All Implemented Interfaces:
    MultiDimensional, MultiDimensionalReadAccess<TT>, TwoDimensionalReadAccess<TT>
  Direct Known Subclasses:
    SmallTwoDimensionalArray, TwoDimensionalArray, TwoDimensionalBooleanReadAccess.Base, TwoDimensionalByteReadAccess.Base, TwoDimensionalCharReadAccess.Base, TwoDimensionalDoubleReadAccess.Base, TwoDimensionalFloatReadAccess.Base, TwoDimensionalIntReadAccess.Base, TwoDimensionalLongReadAccess.Base, TwoDimensionalShortReadAccess.Base
  Enclosing interface:
    TwoDimensionalReadAccess<T>

      public abstract static class TwoDimensionalReadAccess.Base<TT>
      extends java.lang.Object
      implements TwoDimensionalReadAccess<TT>

  Base class implementing this interface which provides useful default methods for `Object.toString()`, `Object.equals(Object)`, and `Object.hashCode()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.TwoDimensionalReadAccess

      `TwoDimensionalReadAccess.Base<TT>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.TwoDimensionalReadAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwoDimensionalReadAccess.Base<TT>` | `asBase()` View this class as if it has useful defaults for standard object methods.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.TwoDimensionalReadAccess

      `empty, equal, getElement, getElementAt, getNumDimensions, getNumElements, getSize, getSizes, hash, singleton, sizeX, sizeY, subAtX, subAtY, toString, transposed, view, visitAll, visitAll, xIterable, xIterator, yIterable, yIterator`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### asBase

          @NotNull
          public TwoDimensionalReadAccess.Base<TT> asBase()

      Description copied from interface: `TwoDimensionalReadAccess`
      View this class as if it has useful defaults for standard object methods.
      Specified by:
        `asBase` in interface `TwoDimensionalReadAccess<TT>`
      Returns:
        based view of this class